OSDN Git Service

2004-07-07 Matthias Klose <doko@debian.org>
[pf3gnuchains/gcc-fork.git] / fastjar / Makefile.in
1 # Makefile.in generated by automake 1.8.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this with automake to create Makefile.in
18
19 SOURCES = $(grepjar_SOURCES) $(jar_SOURCES)
20
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = .
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 bin_PROGRAMS = jar$(EXEEXT) grepjar$(EXEEXT)
42 subdir = .
43 DIST_COMMON = README $(am__configure_deps) $(fastjar_TEXINFOS) \
44         $(srcdir)/../compile $(srcdir)/../install-sh \
45         $(srcdir)/../missing $(srcdir)/../mkinstalldirs \
46         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
47         $(srcdir)/config.h.in $(srcdir)/install-defs.sh.in \
48         $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS
49 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
50 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
51         $(top_srcdir)/../config/accross.m4 $(top_srcdir)/configure.ac
52 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
53         $(ACLOCAL_M4)
54 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
55  configure.lineno configure.status.lineno
56 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
57 CONFIG_HEADER = config.h
58 CONFIG_CLEAN_FILES = install-defs.sh
59 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"
60 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
61 PROGRAMS = $(bin_PROGRAMS)
62 am_grepjar_OBJECTS = jargrep.$(OBJEXT) dostime.$(OBJEXT) \
63         compress.$(OBJEXT) pushback.$(OBJEXT)
64 grepjar_OBJECTS = $(am_grepjar_OBJECTS)
65 am__DEPENDENCIES_1 =
66 am__DEPENDENCIES_2 = ../libiberty/libiberty.a
67 am_jar_OBJECTS = jar-jartool.$(OBJEXT) jar-dostime.$(OBJEXT) \
68         jar-compress.$(OBJEXT) jar-pushback.$(OBJEXT) \
69         jar-shift.$(OBJEXT)
70 jar_OBJECTS = $(am_jar_OBJECTS)
71 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
72 depcomp =
73 am__depfiles_maybe =
74 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
75         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
76 CCLD = $(CC)
77 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
78 SOURCES = $(grepjar_SOURCES) $(jar_SOURCES)
79 DIST_SOURCES = $(grepjar_SOURCES) $(jar_SOURCES)
80 INFO_DEPS = $(srcdir)/fastjar.info
81 am__TEXINFO_TEX_DIR = $(srcdir)/../gcc/doc/include
82 DVIS = fastjar.dvi
83 PDFS = fastjar.pdf
84 PSS = fastjar.ps
85 HTMLS = fastjar.html
86 TEXINFOS = fastjar.texi
87 TEXI2DVI = texi2dvi
88 TEXI2PDF = $(TEXI2DVI) --pdf --batch
89 MAKEINFOHTML = $(MAKEINFO) --html
90 AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
91 DVIPS = dvips
92 man1dir = $(mandir)/man1
93 NROFF = nroff
94 MANS = $(man_MANS)
95 ETAGS = etags
96 CTAGS = ctags
97 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
98 distdir = $(PACKAGE)-$(VERSION)
99 top_distdir = $(distdir)
100 am__remove_distdir = \
101   { test ! -d $(distdir) \
102     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
103          && rm -fr $(distdir); }; }
104 DIST_ARCHIVES = $(distdir).tar.gz
105 GZIP_ENV = --best
106 distuninstallcheck_listfiles = find . -type f -print
107 distcleancheck_listfiles = find . -type f -print
108 ACLOCAL = @ACLOCAL@
109 AMDEP_FALSE = @AMDEP_FALSE@
110 AMDEP_TRUE = @AMDEP_TRUE@
111 AMTAR = @AMTAR@
112 AUTOCONF = @AUTOCONF@
113 AUTOHEADER = @AUTOHEADER@
114 AUTOMAKE = @AUTOMAKE@
115 AWK = @AWK@
116 CC = @CC@
117 CCDEPMODE = @CCDEPMODE@
118 CFLAGS = @CFLAGS@
119 CHMOD = @CHMOD@
120 CP = @CP@
121 CPP = @CPP@
122 CPPFLAGS = @CPPFLAGS@
123 CYGPATH_W = @CYGPATH_W@
124 DEFS = @DEFS@
125 DEPDIR = @DEPDIR@
126 ECHO_C = @ECHO_C@
127 ECHO_N = @ECHO_N@
128 ECHO_T = @ECHO_T@
129 EGREP = @EGREP@
130 EXEEXT = @EXEEXT@
131 GENINSRC_FALSE = @GENINSRC_FALSE@
132 GENINSRC_TRUE = @GENINSRC_TRUE@
133 INSTALL_DATA = @INSTALL_DATA@
134 INSTALL_PROGRAM = @INSTALL_PROGRAM@
135 INSTALL_SCRIPT = @INSTALL_SCRIPT@
136 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
137 LDFLAGS = @LDFLAGS@
138 LIBOBJS = @LIBOBJS@
139 LIBS = @LIBS@
140 LTLIBOBJS = @LTLIBOBJS@
141 MAINT = @MAINT@
142 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
143 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
144 MAKEINFO = @MAKEINFO@
145 OBJEXT = @OBJEXT@
146 PACKAGE = @PACKAGE@
147 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
148 PACKAGE_NAME = @PACKAGE_NAME@
149 PACKAGE_STRING = @PACKAGE_STRING@
150 PACKAGE_TARNAME = @PACKAGE_TARNAME@
151 PACKAGE_VERSION = @PACKAGE_VERSION@
152 PATH_SEPARATOR = @PATH_SEPARATOR@
153 RM = @RM@
154 SET_MAKE = @SET_MAKE@
155 SHELL = @SHELL@
156 STRIP = @STRIP@
157 VERSION = @VERSION@
158 ZDEPS = @ZDEPS@
159 ZINCS = @ZINCS@
160 ZLIBS = @ZLIBS@
161 ac_ct_CC = @ac_ct_CC@
162 ac_ct_STRIP = @ac_ct_STRIP@
163 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
164 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
165 am__include = @am__include@
166 am__leading_dot = @am__leading_dot@
167 am__quote = @am__quote@
168 bindir = @bindir@
169 build_alias = @build_alias@
170 datadir = @datadir@
171 exec_prefix = @exec_prefix@
172 fastjar_warn_cflags = @fastjar_warn_cflags@
173 gcc_version = @gcc_version@
174 host_alias = @host_alias@
175 includedir = @includedir@
176 infodir = @infodir@
177 install_sh = @install_sh@
178 libdir = @libdir@
179 libexecdir = @libexecdir@
180 localstatedir = @localstatedir@
181 mandir = @mandir@
182 mkdir_p = @mkdir_p@
183 oldincludedir = @oldincludedir@
184 prefix = @prefix@
185 program_transform_name = @program_transform_name@
186 sbindir = @sbindir@
187 sharedstatedir = @sharedstatedir@
188 sysconfdir = @sysconfdir@
189 target_alias = @target_alias@
190 AUTOMAKE_OPTIONS = no-dependencies
191
192 # Work around what appears to be a GNU make bug handling MAKEFLAGS
193 # values defined in terms of make variables, as is the case for CC and
194 # friends when we are called from the top level Makefile.
195 AM_MAKEFLAGS = \
196         "AR_FLAGS=$(AR_FLAGS)" \
197         "CC_FOR_BUILD=$(CC_FOR_BUILD)" \
198         "CFLAGS=$(CFLAGS)" \
199         "CXXFLAGS=$(CXXFLAGS)" \
200         "CFLAGS_FOR_BUILD=$(CFLAGS_FOR_BUILD)" \
201         "CFLAGS_FOR_TARGET=$(CFLAGS_FOR_TARGET)" \
202         "INSTALL=$(INSTALL)" \
203         "INSTALL_DATA=$(INSTALL_DATA)" \
204         "INSTALL_PROGRAM=$(INSTALL_PROGRAM)" \
205         "INSTALL_SCRIPT=$(INSTALL_SCRIPT)" \
206         "JC1FLAGS=$(JC1FLAGS)" \
207         "LDFLAGS=$(LDFLAGS)" \
208         "LIBCFLAGS=$(LIBCFLAGS)" \
209         "LIBCFLAGS_FOR_TARGET=$(LIBCFLAGS_FOR_TARGET)" \
210         "MAKE=$(MAKE)" \
211         "MAKEINFO=$(MAKEINFO) $(MAKEINFOFLAGS)" \
212         "PICFLAG=$(PICFLAG)" \
213         "PICFLAG_FOR_TARGET=$(PICFLAG_FOR_TARGET)" \
214         "SHELL=$(SHELL)" \
215         "exec_prefix=$(exec_prefix)" \
216         "infodir=$(infodir)" \
217         "libdir=$(libdir)" \
218         "prefix=$(prefix)" \
219         "AR=$(AR)" \
220         "AS=$(AS)" \
221         "CC=$(CC)" \
222         "CXX=$(CXX)" \
223         "LD=$(LD)" \
224         "LIBCFLAGS=$(LIBCFLAGS)" \
225         "NM=$(NM)" \
226         "PICFLAG=$(PICFLAG)" \
227         "RANLIB=$(RANLIB)" \
228         "DESTDIR=$(DESTDIR)"
229
230 AM_CPPFLAGS = -I. -I$(top_srcdir) $(ZINCS) -I$(top_srcdir)/../include
231 LIBIBERTY = ../libiberty/libiberty.a
232 jar_SOURCES = jartool.c dostime.c compress.c pushback.c shift.c jartool.h \
233 zipfile.h dostime.h compress.h pushback.h shift.h
234
235 jar_LDADD = $(ZLIBS) $(LIBIBERTY)
236 jar_DEPENDENCIES = $(ZDEPS) $(LIBIBERTY)
237 jar_CPPFLAGS = $(AM_CPPFLAGS) -DWITH_SHIFT_DOWN
238 grepjar_SOURCES = jargrep.c dostime.c compress.c pushback.c jartool.h \
239 zipfile.h dostime.h compress.h pushback.h
240
241 grepjar_LDADD = $(ZLIBS) $(LIBIBERTY)
242 grepjar_DEPENDENCIES = $(ZDEPS) $(LIBIBERTY)
243 AM_CFLAGS = @fastjar_warn_cflags@
244 AM_MAKEINFOFLAGS = -I $(srcdir)/../gcc/doc/include
245 TEXINFO_TEX = ../gcc/doc/include/texinfo.tex
246 info_TEXINFOS = fastjar.texi
247 fastjar_TEXINFOS = \
248         ../gcc/doc/include/gcc-common.texi \
249         ../gcc/doc/include/gpl.texi
250
251 man_MANS = jar.1 grepjar.1
252 EXTRA_DIST = $(man_MANS)
253 TEXI2POD = perl $(srcdir)/../contrib/texi2pod.pl
254 POD2MAN = pod2man --center="GNU" --release="gcc-@gcc_version@"
255 @GENINSRC_FALSE@STAMP_GENINSRC = 
256
257 # GCC LOCAL CHANGE
258 # The following commands allow us to release tarballs with the man pages
259 # and info documentation prebuilt.  This feature is enabled via 
260 # --enable-generated-files-in-srcdir in the configure script.
261 @GENINSRC_TRUE@STAMP_GENINSRC = stamp-geninsrc
262 CLEANFILES = stamp-geninsrc
263 MAINTAINERCLEANFILES = $(srcdir)/jar.1 \
264                        $(srcdir)/grepjar.1 \
265                        $(srcdir)/fastjar.info
266
267 all: config.h
268         $(MAKE) $(AM_MAKEFLAGS) all-am
269
270 .SUFFIXES:
271 .SUFFIXES: .1 .c .dvi .html .info .o .obj .pdf .pod .ps .texi
272 am--refresh:
273         @:
274 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
275         @for dep in $?; do \
276           case '$(am__configure_deps)' in \
277             *$$dep*) \
278               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
279               cd $(srcdir) && $(AUTOMAKE) --gnu  \
280                 && exit 0; \
281               exit 1;; \
282           esac; \
283         done; \
284         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
285         cd $(top_srcdir) && \
286           $(AUTOMAKE) --gnu  Makefile
287 .PRECIOUS: Makefile
288 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
289         @case '$?' in \
290           *config.status*) \
291             echo ' $(SHELL) ./config.status'; \
292             $(SHELL) ./config.status;; \
293           *) \
294             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
295             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
296         esac;
297
298 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
299         $(SHELL) ./config.status --recheck
300
301 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
302         cd $(srcdir) && $(AUTOCONF)
303 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
304         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
305
306 config.h: stamp-h1
307         @if test ! -f $@; then \
308           rm -f stamp-h1; \
309           $(MAKE) stamp-h1; \
310         else :; fi
311
312 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
313         @rm -f stamp-h1
314         cd $(top_builddir) && $(SHELL) ./config.status config.h
315 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
316         cd $(top_srcdir) && $(AUTOHEADER)
317         rm -f stamp-h1
318         touch $@
319
320 distclean-hdr:
321         -rm -f config.h stamp-h1
322 install-defs.sh: $(top_builddir)/config.status $(srcdir)/install-defs.sh.in
323         cd $(top_builddir) && $(SHELL) ./config.status $@
324 install-binPROGRAMS: $(bin_PROGRAMS)
325         @$(NORMAL_INSTALL)
326         test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
327         @list='$(bin_PROGRAMS)'; for p in $$list; do \
328           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
329           if test -f $$p \
330           ; then \
331             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
332            echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
333            $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
334           else :; fi; \
335         done
336
337 uninstall-binPROGRAMS:
338         @$(NORMAL_UNINSTALL)
339         @list='$(bin_PROGRAMS)'; for p in $$list; do \
340           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
341           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
342           rm -f "$(DESTDIR)$(bindir)/$$f"; \
343         done
344
345 clean-binPROGRAMS:
346         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
347 grepjar$(EXEEXT): $(grepjar_OBJECTS) $(grepjar_DEPENDENCIES) 
348         @rm -f grepjar$(EXEEXT)
349         $(LINK) $(grepjar_LDFLAGS) $(grepjar_OBJECTS) $(grepjar_LDADD) $(LIBS)
350 jar$(EXEEXT): $(jar_OBJECTS) $(jar_DEPENDENCIES) 
351         @rm -f jar$(EXEEXT)
352         $(LINK) $(jar_LDFLAGS) $(jar_OBJECTS) $(jar_LDADD) $(LIBS)
353
354 mostlyclean-compile:
355         -rm -f *.$(OBJEXT)
356
357 distclean-compile:
358         -rm -f *.tab.c
359
360 .c.o:
361         $(COMPILE) -c $<
362
363 .c.obj:
364         $(COMPILE) -c `$(CYGPATH_W) '$<'`
365
366 jar-jartool.o: jartool.c
367         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-jartool.o `test -f 'jartool.c' || echo '$(srcdir)/'`jartool.c
368
369 jar-jartool.obj: jartool.c
370         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-jartool.obj `if test -f 'jartool.c'; then $(CYGPATH_W) 'jartool.c'; else $(CYGPATH_W) '$(srcdir)/jartool.c'; fi`
371
372 jar-dostime.o: dostime.c
373         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-dostime.o `test -f 'dostime.c' || echo '$(srcdir)/'`dostime.c
374
375 jar-dostime.obj: dostime.c
376         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-dostime.obj `if test -f 'dostime.c'; then $(CYGPATH_W) 'dostime.c'; else $(CYGPATH_W) '$(srcdir)/dostime.c'; fi`
377
378 jar-compress.o: compress.c
379         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-compress.o `test -f 'compress.c' || echo '$(srcdir)/'`compress.c
380
381 jar-compress.obj: compress.c
382         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-compress.obj `if test -f 'compress.c'; then $(CYGPATH_W) 'compress.c'; else $(CYGPATH_W) '$(srcdir)/compress.c'; fi`
383
384 jar-pushback.o: pushback.c
385         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-pushback.o `test -f 'pushback.c' || echo '$(srcdir)/'`pushback.c
386
387 jar-pushback.obj: pushback.c
388         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-pushback.obj `if test -f 'pushback.c'; then $(CYGPATH_W) 'pushback.c'; else $(CYGPATH_W) '$(srcdir)/pushback.c'; fi`
389
390 jar-shift.o: shift.c
391         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-shift.o `test -f 'shift.c' || echo '$(srcdir)/'`shift.c
392
393 jar-shift.obj: shift.c
394         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(jar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o jar-shift.obj `if test -f 'shift.c'; then $(CYGPATH_W) 'shift.c'; else $(CYGPATH_W) '$(srcdir)/shift.c'; fi`
395
396 .texi.info:
397         restore=: && \
398         backupdir="$(am__leading_dot)am$$$$" && \
399         am__cwd=`pwd` && cd $(srcdir) && \
400         rm -rf $$backupdir && mkdir $$backupdir && \
401         for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
402           if test -f $$f; then \
403             mv $$f $$backupdir; \
404             restore=mv; \
405           fi; \
406         done; \
407         cd "$$am__cwd"; \
408         if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
409          -o $@ $<; \
410         then \
411           rc=0; \
412           cd $(srcdir); \
413         else \
414           rc=$$?; \
415           cd $(srcdir) && \
416           $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \
417         fi; \
418         rm -rf $$backupdir; \
419         exit $$rc
420
421 .texi.dvi:
422         TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
423         MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
424         $(TEXI2DVI) $<
425
426 .texi.pdf:
427         TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
428         MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
429         $(TEXI2PDF) $<
430
431 .texi.html:
432         $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
433          -o $@ $<
434         if test ! -d $@ && test -d $(@:.html=); then \
435           mv $(@:.html=) $@; else :; fi
436 $(srcdir)/fastjar.info: fastjar.texi $(fastjar_TEXINFOS)
437 fastjar.dvi: fastjar.texi $(fastjar_TEXINFOS)
438 fastjar.pdf: fastjar.texi $(fastjar_TEXINFOS)
439 fastjar.html: fastjar.texi $(fastjar_TEXINFOS)
440 .dvi.ps:
441         $(DVIPS) -o $@ $<
442
443 uninstall-info-am:
444         $(PRE_UNINSTALL)
445         @if (install-info --version && \
446              install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
447           list='$(INFO_DEPS)'; \
448           for file in $$list; do \
449             relfile=`echo "$$file" | sed 's|^.*/||'`; \
450             echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
451             install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
452           done; \
453         else :; fi
454         @$(NORMAL_UNINSTALL)
455         @list='$(INFO_DEPS)'; \
456         for file in $$list; do \
457           relfile=`echo "$$file" | sed 's|^.*/||'`; \
458           relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
459           (if cd "$(DESTDIR)$(infodir)"; then \
460              echo " rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9])"; \
461              rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
462            else :; fi); \
463         done
464
465 dist-info: $(INFO_DEPS)
466         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
467         list='$(INFO_DEPS)'; \
468         for base in $$list; do \
469           case $$base in \
470             $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
471           esac; \
472           if test -f $$base; then d=.; else d=$(srcdir); fi; \
473           for file in $$d/$$base*; do \
474             relfile=`expr "$$file" : "$$d/\(.*\)"`; \
475             test -f $(distdir)/$$relfile || \
476               cp -p $$file $(distdir)/$$relfile; \
477           done; \
478         done
479
480 mostlyclean-aminfo:
481         -rm -rf fastjar.aux fastjar.cp fastjar.cps fastjar.fn fastjar.fns fastjar.ky \
482           fastjar.kys fastjar.log fastjar.pg fastjar.pgs fastjar.tmp \
483           fastjar.toc fastjar.tp fastjar.tps fastjar.vr fastjar.vrs \
484           fastjar.dvi fastjar.pdf fastjar.ps fastjar.html
485
486 maintainer-clean-aminfo:
487         @list='$(INFO_DEPS)'; for i in $$list; do \
488           i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
489           echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
490           rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
491         done
492 install-man1: $(man1_MANS) $(man_MANS)
493         @$(NORMAL_INSTALL)
494         test -z "$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
495         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
496         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
497         for i in $$l2; do \
498           case "$$i" in \
499             *.1*) list="$$list $$i" ;; \
500           esac; \
501         done; \
502         for i in $$list; do \
503           if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
504           else file=$$i; fi; \
505           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
506           case "$$ext" in \
507             1*) ;; \
508             *) ext='1' ;; \
509           esac; \
510           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
511           inst=`echo $$inst | sed -e 's/^.*\///'`; \
512           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
513           echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
514           $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
515         done
516 uninstall-man1:
517         @$(NORMAL_UNINSTALL)
518         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
519         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
520         for i in $$l2; do \
521           case "$$i" in \
522             *.1*) list="$$list $$i" ;; \
523           esac; \
524         done; \
525         for i in $$list; do \
526           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
527           case "$$ext" in \
528             1*) ;; \
529             *) ext='1' ;; \
530           esac; \
531           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
532           inst=`echo $$inst | sed -e 's/^.*\///'`; \
533           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
534           echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
535           rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
536         done
537
538 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
539         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
540         unique=`for i in $$list; do \
541             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
542           done | \
543           $(AWK) '    { files[$$0] = 1; } \
544                END { for (i in files) print i; }'`; \
545         mkid -fID $$unique
546 tags: TAGS
547
548 TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
549                 $(TAGS_FILES) $(LISP)
550         tags=; \
551         here=`pwd`; \
552         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
553         unique=`for i in $$list; do \
554             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
555           done | \
556           $(AWK) '    { files[$$0] = 1; } \
557                END { for (i in files) print i; }'`; \
558         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
559           test -n "$$unique" || unique=$$empty_fix; \
560           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
561             $$tags $$unique; \
562         fi
563 ctags: CTAGS
564 CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
565                 $(TAGS_FILES) $(LISP)
566         tags=; \
567         here=`pwd`; \
568         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
569         unique=`for i in $$list; do \
570             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
571           done | \
572           $(AWK) '    { files[$$0] = 1; } \
573                END { for (i in files) print i; }'`; \
574         test -z "$(CTAGS_ARGS)$$tags$$unique" \
575           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
576              $$tags $$unique
577
578 GTAGS:
579         here=`$(am__cd) $(top_builddir) && pwd` \
580           && cd $(top_srcdir) \
581           && gtags -i $(GTAGS_ARGS) $$here
582
583 distclean-tags:
584         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
585
586 distdir: $(DISTFILES)
587         $(am__remove_distdir)
588         mkdir $(distdir)
589         $(mkdir_p) $(distdir)/. $(distdir)/.. $(distdir)/../config $(distdir)/../gcc/doc/include
590         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
591         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
592         list='$(DISTFILES)'; for file in $$list; do \
593           case $$file in \
594             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
595             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
596           esac; \
597           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
598           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
599           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
600             dir="/$$dir"; \
601             $(mkdir_p) "$(distdir)$$dir"; \
602           else \
603             dir=''; \
604           fi; \
605           if test -d $$d/$$file; then \
606             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
607               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
608             fi; \
609             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
610           else \
611             test -f $(distdir)/$$file \
612             || cp -p $$d/$$file $(distdir)/$$file \
613             || exit 1; \
614           fi; \
615         done
616         $(MAKE) $(AM_MAKEFLAGS) \
617           top_distdir="$(top_distdir)" distdir="$(distdir)" \
618           dist-info
619         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
620           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
621           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
622           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
623         || chmod -R a+r $(distdir)
624 dist-gzip: distdir
625         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
626         $(am__remove_distdir)
627
628 dist-bzip2: distdir
629         $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
630         $(am__remove_distdir)
631
632 dist-tarZ: distdir
633         $(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
634         $(am__remove_distdir)
635
636 dist-shar: distdir
637         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
638         $(am__remove_distdir)
639
640 dist-zip: distdir
641         -rm -f $(distdir).zip
642         zip -rq $(distdir).zip $(distdir)
643         $(am__remove_distdir)
644
645 dist dist-all: distdir
646         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
647         $(am__remove_distdir)
648
649 # This target untars the dist file and tries a VPATH configuration.  Then
650 # it guarantees that the distribution is self-contained by making another
651 # tarfile.
652 distcheck: dist
653         case '$(DIST_ARCHIVES)' in \
654         *.tar.gz*) \
655           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
656         *.tar.bz2*) \
657           bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
658         *.tar.Z*) \
659           uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
660         *.shar.gz*) \
661           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
662         *.zip*) \
663           unzip $(distdir).zip ;;\
664         esac
665         chmod -R a-w $(distdir); chmod a+w $(distdir)
666         mkdir $(distdir)/_build
667         mkdir $(distdir)/_inst
668         chmod a-w $(distdir)
669         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
670           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
671           && cd $(distdir)/_build \
672           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
673             $(DISTCHECK_CONFIGURE_FLAGS) \
674           && $(MAKE) $(AM_MAKEFLAGS) \
675           && $(MAKE) $(AM_MAKEFLAGS) dvi \
676           && $(MAKE) $(AM_MAKEFLAGS) check \
677           && $(MAKE) $(AM_MAKEFLAGS) install \
678           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
679           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
680           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
681                 distuninstallcheck \
682           && chmod -R a-w "$$dc_install_base" \
683           && ({ \
684                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
685                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
686                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
687                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
688                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
689               } || { rm -rf "$$dc_destdir"; exit 1; }) \
690           && rm -rf "$$dc_destdir" \
691           && $(MAKE) $(AM_MAKEFLAGS) dist \
692           && rm -rf $(DIST_ARCHIVES) \
693           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
694         $(am__remove_distdir)
695         @(echo "$(distdir) archives ready for distribution: "; \
696           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
697           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
698 distuninstallcheck:
699         @cd $(distuninstallcheck_dir) \
700         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
701            || { echo "ERROR: files left after uninstall:" ; \
702                 if test -n "$(DESTDIR)"; then \
703                   echo "  (check DESTDIR support)"; \
704                 fi ; \
705                 $(distuninstallcheck_listfiles) ; \
706                 exit 1; } >&2
707 distcleancheck: distclean
708         @if test '$(srcdir)' = . ; then \
709           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
710           exit 1 ; \
711         fi
712         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
713           || { echo "ERROR: files left in build directory after distclean:" ; \
714                $(distcleancheck_listfiles) ; \
715                exit 1; } >&2
716 check-am: all-am
717 check: check-am
718 all-am: Makefile $(INFO_DEPS) $(PROGRAMS) $(MANS) config.h all-local
719 installdirs:
720         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"; do \
721           test -z "$$dir" || $(mkdir_p) "$$dir"; \
722         done
723 install: install-am
724 install-exec: install-exec-am
725 install-data: install-data-am
726 uninstall: uninstall-am
727
728 install-am: all-am
729         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
730
731 installcheck: installcheck-am
732 install-strip:
733         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
734           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
735           `test -z '$(STRIP)' || \
736             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
737 mostlyclean-generic:
738
739 clean-generic:
740         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
741
742 distclean-generic:
743         -rm -f $(CONFIG_CLEAN_FILES)
744
745 maintainer-clean-generic:
746         @echo "This command is intended for maintainers to use"
747         @echo "it deletes files that may require special tools to rebuild."
748         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
749 clean: clean-am
750
751 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
752
753 distclean: distclean-am
754         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
755         -rm -f Makefile
756 distclean-am: clean-am distclean-compile distclean-generic \
757         distclean-hdr distclean-tags
758
759 dvi: dvi-am
760
761 dvi-am: $(DVIS)
762
763 html: html-am
764
765 html-am: $(HTMLS)
766
767 info: info-am
768
769 info-am: $(INFO_DEPS)
770
771 install-data-am: install-info-am install-man
772
773 install-exec-am: install-binPROGRAMS
774
775 install-info: install-info-am
776
777 install-info-am: $(INFO_DEPS)
778         @$(NORMAL_INSTALL)
779         test -z "$(infodir)" || $(mkdir_p) "$(DESTDIR)$(infodir)"
780         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
781         list='$(INFO_DEPS)'; \
782         for file in $$list; do \
783           case $$file in \
784             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
785           esac; \
786           if test -f $$file; then d=.; else d=$(srcdir); fi; \
787           file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
788           for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
789                        $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
790             if test -f $$ifile; then \
791               relfile=`echo "$$ifile" | sed 's|^.*/||'`; \
792               echo " $(INSTALL_DATA) '$$ifile' '$(DESTDIR)$(infodir)/$$relfile'"; \
793               $(INSTALL_DATA) "$$ifile" "$(DESTDIR)$(infodir)/$$relfile"; \
794             else : ; fi; \
795           done; \
796         done
797         @$(POST_INSTALL)
798         @if (install-info --version && \
799              install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
800           list='$(INFO_DEPS)'; \
801           for file in $$list; do \
802             relfile=`echo "$$file" | sed 's|^.*/||'`; \
803             echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
804             install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
805           done; \
806         else : ; fi
807 install-man: install-man1
808
809 installcheck-am:
810
811 maintainer-clean: maintainer-clean-am
812         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
813         -rm -rf $(top_srcdir)/autom4te.cache
814         -rm -f Makefile
815 maintainer-clean-am: distclean-am maintainer-clean-aminfo \
816         maintainer-clean-generic
817
818 mostlyclean: mostlyclean-am
819
820 mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
821         mostlyclean-generic
822
823 pdf: pdf-am
824
825 pdf-am: $(PDFS)
826
827 ps: ps-am
828
829 ps-am: $(PSS)
830
831 uninstall-am: uninstall-binPROGRAMS uninstall-info-am uninstall-man
832
833 uninstall-man: uninstall-man1
834
835 .PHONY: CTAGS GTAGS all all-am all-local am--refresh check check-am \
836         clean clean-binPROGRAMS clean-generic ctags dist dist-all \
837         dist-bzip2 dist-gzip dist-info dist-shar dist-tarZ dist-zip \
838         distcheck distclean distclean-compile distclean-generic \
839         distclean-hdr distclean-tags distcleancheck distdir \
840         distuninstallcheck dvi dvi-am html html-am info info-am \
841         install install-am install-binPROGRAMS install-data \
842         install-data-am install-exec install-exec-am install-info \
843         install-info-am install-man install-man1 install-strip \
844         installcheck installcheck-am installdirs maintainer-clean \
845         maintainer-clean-aminfo maintainer-clean-generic mostlyclean \
846         mostlyclean-aminfo mostlyclean-compile mostlyclean-generic pdf \
847         pdf-am ps ps-am tags uninstall uninstall-am \
848         uninstall-binPROGRAMS uninstall-info-am uninstall-man \
849         uninstall-man1
850
851
852 .pod.1:
853         -($(POD2MAN) --section=1 $< > $(@).T$$$$ && \
854                 mv -f $(@).T$$$$ $@) || \
855                 (rm -f $(@).T$$$$ && exit 1)
856
857 .INTERMEDIATE: jar.pod grepjar.pod
858
859 jar.pod: $(srcdir)/fastjar.texi
860         -$(TEXI2POD) -D jar $< > $@
861
862 grepjar.pod: $(srcdir)/fastjar.texi
863         -$(TEXI2POD) -D grepjar $< > $@
864
865 all-local: $(STAMP_GENINSRC) 
866
867 stamp-geninsrc: jar.1 grepjar.1 fastjar.info
868         -cp -p $(top_builddir)/jar.1 $(srcdir)/jar.1
869         -cp -p $(top_builddir)/grepjar.1 $(srcdir)/grepjar.1
870         -cp -p $(top_builddir)/fastjar.info $(srcdir)/fastjar.info
871         touch $@
872 # Tell versions [3.59,3.63) of GNU make to not export all variables.
873 # Otherwise a system limit (for SysV at least) may be exceeded.
874 .NOEXPORT: